/* eslint max-len: 0 */
import React from 'react';
import PropTypes from 'prop-types';

export default function Home(props) {
  return (
    <svg
      version="1.1"
      xmlns="http://www.w3.org/2000/svg"
      width="32"
      height="32"
      viewBox="0 0 32 32"
      style={Object.assign(props.style, props.additionalStyle)}
    >
      <title>Home</title>
      <path
        fill="currentColor"
        d="M32 18.451l-16-12.42-16 12.42v-5.064l16-12.42 16 12.42zM28 18v12h-8v-8h-8v8h-8v-12l12-9z"
      />
    </svg>
  );
}

Home.defaultProps = {
  style: {
    width: '1rem',
    height: '1rem',
    color: '#fff',
  },
  additionalStyle: {},
};

Home.propTypes = {
  style: PropTypes.objectOf(
    PropTypes.oneOfType([PropTypes.string, PropTypes.number])
  ),
  additionalStyle: PropTypes.objectOf(
    PropTypes.oneOfType([PropTypes.string, PropTypes.number])
  ),
};
